
=encoding utf8

=head1 NAME

Sidef::Object::Enumerator

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Enumerator(...)

=head1 METHODS

=head2 count

    self.count(block)

Returns the

Aliases: I<count_by>

=cut

=head2 each

    self.each(block)

Returns the

=cut

=head2 first

    self.first(n, block)

Returns the

=cut

=head2 grep

    self.grep(block)

Returns the

Aliases: I<select>

=cut

=head2 len

    self.len

Returns the

Aliases: I<size>, I<length>

=cut

=head2 map

    self.map(block)

Returns the

Aliases: I<collect>

=cut

=head2 new

    self.new

Returns the

Aliases: I<call>

=cut

=head2 nth

    e.nth(n)
    e.nth(n, {...})

Returns the n-th term.

An optional block can be given to filter out terms, counting only the terms for which the block returns a true value.

=cut

=head2 to_a

    self.to_a

Returns the

=cut

=head2 while

    self.while(block)

Returns the

=cut
